Bug 1425818 - [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager killed by 5
Summary: [abrt] [faf] NetworkManager: unknown function(): /usr/sbin/NetworkManager kil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Lubomir Rintel
QA Contact: Desktop QE
URL: http://faf.lab.eng.brq.redhat.com/faf...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-22 14:02 UTC by Vladimir Benes
Modified: 2017-08-01 09:24 UTC (History)
9 users (show)

Fixed In Version: NetworkManager-1.8.0-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-01 09:24:38 UTC


Attachments (Terms of Use)
A fix (1.33 KB, text/plain)
2017-04-26 17:47 UTC, Lubomir Rintel
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2299 normal SHIPPED_LIVE Moderate: NetworkManager and libnl3 security, bug fix and enhancement update 2017-08-01 12:40:28 UTC

Description Vladimir Benes 2017-02-22 14:02:58 UTC
This bug has been created based on an anonymous crash report requested by the package maintainer.

Report URL: http://faf.lab.eng.brq.redhat.com/faf/reports/bthash/be55c62630aa05429d35ba489211efb03b167405/

Comment 2 Lubomir Rintel 2017-04-26 17:47:30 UTC
Created attachment 1274350 [details]
A fix

Comment 3 Thomas Haller 2017-04-26 17:58:50 UTC
(In reply to Lubomir Rintel from comment #2)
> Created attachment 1274350 [details]
> A fix

Let's not remove clearing needs_ip6_subnet in _cleanup_generic_post(). 

Let's properly clear the state during cleanup. Even if you can prove that it is actually always FALSE at that point, it's non obvious.


otherwise, lgtm

Comment 4 Lubomir Rintel 2017-04-27 13:46:07 UTC
(switched a cleanup to a nm_assert(); i guess that makes more sense to make it explicit that the needs_subnet should be false at that point rather than an useless assignment)

master: 3e076cf8b1eba4937e1462d2ca34b9a65f500aff
nm-1-8: af87569a9bc0338ccaf7337f04dc8f3c3e04be4d

Comment 6 errata-xmlrpc 2017-08-01 09:24:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:2299


Note You need to log in before you can comment on or make changes to this bug.